Subject: Re: bug#44002: 27.1; Small window height with VcXsrv X server when built with gtk3 toolkit

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Oct 2020 12:34:53 +0300

> Cc: [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Sat, 17 Oct 2020 11:32:39 +0200
> 
>  > Martin, any comments on the proposed patch?  Or on the problem in
>  > general?
> 
> I applied it here and didn't see any detrimental effects.  I suppose we
> should just install it and look whether it causes problems with any of
> our window managers.

Do you think it is safe enough for the emacs-27 branch?

> For me the most interesting aspect is that it apparently works with
> GTK2.  Maybe comparing the traces of GTK2 and GTK3 runs could reveal
> more.  Or comparing a GTK3 trace with that of a Lucid build.
> 
>  > Btw, do we understand why this happens only with VcXsrv?
> 
> I never used VcXsrv so I don't know how it works.  As an example, I have
> no idea what the "top level window" is and why it is not the same as the
> "window associated with the frame".  Also, the fact that a "bogus
> height" is propagated while a "bogus width" is not, hints at yet another
> unresolved mystery.

Agreed.  Maybe the OP could help us understand some of that.